# Note that this is NOT a relocatable package
%define prefix   /usr

Summary: GNOME media programs.
Name: gnome-media
Version: 1.2.3
Release: 4a
Copyright: LGPL
Group: Applications/Multimedia
Source: ftp://ftp.gnome.org/pub/GNOME/sources/gnome-media/gnome-media-%{version}.tar.gz
Source1: gtcd.idl
Source2: gtcd.goad
Patch1: gnome-media-1.2.3-scrollkeeper.patch
Prereq: scrollkeeper >= 0.1.4
BuildPrereq: scrollkeeper gnome-libs-devel xml-i18n-tools
BuildRoot: %{_tmppath}/%{name}-%{PACKAGE_VERSION}-root
Obsoletes: gnome
URL: http://www.gnome.org

Requires: extace >= 1.1.14

Patch9: gnome-media-1.2.0-fullcommandpaths.patch

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The gnome-media package will
install media features like the GNOME CD player.

Install gnome-media if you want to use GNOME's multimedia
capabilities.

%prep
%setup -q
%patch1 -p1 -b .scrollkeeper

# Should be fixed now - though in a different way - looks for sox, grecord
# in path. 
#%patch9 -p1 -b .fullcommandpaths

#aclocal -I macros
automake --include-deps tcd/Makefile
autoconf
cp $RPM_SOURCE_DIR/{gtcd.idl,gtcd.goad} tcd

%build

automake
%configure --sysconfdir=/etc
( cd po && rm gnome-media.pot && make update-po )
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
scrollkeeper-update
/bin/true ## for rpmlint, -p requires absolute path and is just dumb

%postun
scrollkeeper-update
/bin/true ## for rpmlint, -p requires absolute path and is just dumb

%files -f %{name}.lang
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/bin/*
%{prefix}/share/gnome/apps/*
%{prefix}/share/pixmaps/*
%{prefix}/share/gnome/help/*
%{prefix}/share/gnome/cddb-submit-methods
%config /etc/CORBA/servers/*


%changelog
* Wed Aug 22 2001 Owen Taylor <otaylor@redhat.com>
- Force regeneration of .po files (#52326)

* Thu Jul 19 2001 Havoc Pennington <hp@redhat.com>
- build requires gnome-libs-devel
- fix rpmlint's utterly crack-smoking request that we not 
  run /bin/sh in post/postun

* Tue Jul 03 2001 Owen Taylor <otaylor@redhat.com>
- Update to 1.2.3

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Wed May  9 2001 Owen Taylor <otaylor@redhat.com>
- Version 1.2.2
- Fix bogus scrollkeeper version in dependency

* Fri Feb 23 2001 Trond Eivind Glomsrd <teg@redhat.com>
- langify
- move changelog to end of file
- don't use and define "ver" at the top of the spec file

* Tue Feb 07 2001 Than Ngo <than@redhat.com>
- fixed non-standard dir perm (Bug #26264)

* Wed Jan 31 2001 Elliot Lee <sopwith@redhat.com> 1.2.0-10
- Fix bug #17713, grecord internals (Patch10)

* Tue Jan 30 2001 Elliot Lee <sopwith@redhat.com> 1.2.0-9
- Fix bug #21488, include cddb-submit-methods in file list

* Thu Jan 18 2001 Akira TAGOH <tagoh@redhat.com>
- Added Japanese patch.

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Update Epoch

* Sat Aug 05 2000 Havoc Pennington <hp@redhat.com>
- Find "sox", bug 15472, patch from Alan

* Fri Aug 04 2000 Havoc Pennington <hp@redhat.com>
- Add docs for gtcd, bug 14558

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat Jul 8 2000 Havoc Pennington <hp@redhat.com>
- Remove docdir

* Thu Jun 15 2000 Havoc Pennington <hp@redhat.com>
- 1.2.0
- use %%makeinstall

* Tue Sep 21 1999 Havoc Pennington <hp@redhat.com>
- Fixed gtcd so it works without corba-gtcd
- add DrMike's no-g_error() patch 

* Mon Sep 20 1999 Elliot Lee <sopwith@redhat.com>
- Update to 1.0.40

* Fri Sep 17 1999 Owen Taylor <otaylor@redhat.com>
- Don't keep device open in gtcd

* Thu Sep 9 1999 Owen Taylor <otaylor@redhat.com>
- Fixed warnings with previous

* Wed Sep 8 1999 Owen Taylor <otaylor@redhat.com>
- added --play option to gtcd

* Mon Aug 16 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.9.1

* Fri Mar 19 1999 Michael Fulbright <drmike@redhat.com>
- strip binaries

* Mon Feb 15 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.8

* Tue Jan 19 1999 Michael Fulbright <drmike@redhat.com>
- fixed building on sparc and RH 5.2 - seems to get confused into thinking
  we have cd changer support when we don't

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- updated to 0.99.1

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- updated for GNOME freeze

* Sat Nov 21 1998 Pablo Saratxaga <srtxg@chanae.alphanet.ch>
- added spanish and french translations for rpm

* Wed Sep 23 1998 Michael Fulbright <msf@redhat.com>
- Updated to 0.30 release

* Mon Mar 16 1998 Marc Ewing <marc@redhat.com>
- Integrate into gnome-media CVS source tree
